# Asterisk Project : Asterisk 13 ManagerEvent_ParkedCallTimeOut

Created by wikibot on Aug 08, 2014

# ParkedCallTimeOut

### Synopsis

Raised when a channel leaves a parking lot due to reaching the time limit of being parked.

### Description

### Syntax

    Event: ParkedCallTimeOut
    ParkeeChannel: <value>
    ParkeeChannelState: <value>
    ParkeeChannelStateDesc: <value>
    ParkeeCallerIDNum: <value>
    ParkeeCallerIDName: <value>
    ParkeeConnectedLineNum: <value>
    ParkeeConnectedLineName: <value>
    ParkeeAccountCode: <value>
    ParkeeContext: <value>
    ParkeeExten: <value>
    ParkeePriority: <value>
    ParkeeUniqueid: <value>
    ParkerChannel: <value>
    ParkerChannelState: <value>
    ParkerChannelStateDesc: <value>
    ParkerCallerIDNum: <value>
    ParkerCallerIDName: <value>
    ParkerConnectedLineNum: <value>
    ParkerConnectedLineName: <value>
    ParkerAccountCode: <value>
    ParkerContext: <value>
    ParkerExten: <value>
    ParkerPriority: <value>
    ParkerUniqueid: <value>
    ParkerDialString: <value>
    Parkinglot: <value>
    ParkingSpace: <value>
    ParkingTimeout: <value>
    ParkingDuration: <value>

##### Arguments

- `ParkeeChannel`
- `ParkeeChannelState` - A numeric code for the channel's current state, related to ParkeeChannelStateDesc
- `ParkeeChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `ParkeeCallerIDNum`
- `ParkeeCallerIDName`
- `ParkeeConnectedLineNum`
- `ParkeeConnectedLineName`
- `ParkeeAccountCode`
- `ParkeeContext`
- `ParkeeExten`
- `ParkeePriority`
- `ParkeeUniqueid`
- `ParkerChannel`
- `ParkerChannelState` - A numeric code for the channel's current state, related to ParkerChannelStateDesc
- `ParkerChannelStateDesc`
  - `Down`
  - `Rsrvd`
  - `OffHook`
  - `Dialing`
  - `Ring`
  - `Ringing`
  - `Up`
  - `Busy`
  - `Dialing Offhook`
  - `Pre-ring`
  - `Unknown`
- `ParkerCallerIDNum`
- `ParkerCallerIDName`
- `ParkerConnectedLineNum`
- `ParkerConnectedLineName`
- `ParkerAccountCode`
- `ParkerContext`
- `ParkerExten`
- `ParkerPriority`
- `ParkerUniqueid`
- `ParkerDialString` - Dial String that can be used to call back the parker on ParkingTimeout.
- `Parkinglot` - Name of the parking lot that the parkee is parked in
- `ParkingSpace` - Parking Space that the parkee is parked in
- `ParkingTimeout` - Time remaining until the parkee is forcefully removed from parking in seconds
- `ParkingDuration` - Time the parkee has been in the parking bridge (in seconds)

### Class

CALL

### See Also

### Import Version

This documentation was imported from Asterisk Version SVN-branch-13-r420538